OptionTag (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.html.OptionTag,OptionTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.html
Class OptionTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--org.apache.struts.taglib.html.OptionTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class OptionTag
extends javax.servlet.jsp.tagext.BodyTagSupport

Tag for select options. The body of this tag is presented to the user in the option list, while the value attribute is the value returned to the server if this option is selected.

Version:
  $Revision: 1.1 $ $Date: 2003-08-26 13:57:44 +0100 (Tue, 26 Aug 2003) $
Author:
  Craig R. McClanahan, David Graham
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `bundle` The name of the servlet context attribute containing our message resources.
`protected static java.util.Locale` | `defaultLocale` Deprecated. Use Locale.getDefault() directly.
`protected boolean` | `disabled` Is this option disabled?
`protected java.lang.String` | `key` The key used to look up the text displayed to the user for this option, if any.
`protected java.lang.String` | `locale` The name of the attribute containing the Locale to be used for looking up internationalized messages.
`protected static MessageResources` | `messages` The message resources for this package.
`private java.lang.String` | `style` The style associated with this tag.
`private java.lang.String` | `styleClass` The named style class associated with this tag.
`protected java.lang.String` | `styleId` The identifier associated with this tag.
`protected java.lang.String` | `text` The message text to be displayed to the user for this tag (if any)
`protected java.lang.String` | `value` The server value for this option, also used to match against the current property value to determine whether this option should be marked as selected.

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`OptionTag()`

Method Summary
`int` | `doAfterBody()` Process the body text of this tag (if any).
`int` | `doEndTag()` Process the end of this tag.
`int` | `doStartTag()` Process the start of this tag.
`java.lang.String` | `getBundle()`
`boolean` | `getDisabled()`
`java.lang.String` | `getKey()`
`java.lang.String` | `getLocale()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getStyleId()` Return the style identifier for this tag.
`java.lang.String` | `getValue()`
`void` | `release()` Release any acquired resources.
`protected java.lang.String` | `renderOptionElement()` Generate an HTML %lt;option> element.
`private SelectTag` | `selectTag()` Acquire the select tag we are associated with.
`void` | `setBundle(java.lang.String bundle)`
`void` | `setDisabled(boolean disabled)`
`void` | `setKey(java.lang.String key)`
`void` | `setLocale(java.lang.String locale)`
`void` | `setStyle(java.lang.String style)`
`void` | `setStyleClass(java.lang.String styleClass)`
`void` | `setStyleId(java.lang.String styleId)` Set the style identifier for this tag.
`void` | `setValue(java.lang.String value)`
`protected java.lang.String` | `text()` Return the text to be displayed to the user for this option (if any).

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### defaultLocale

    protected static final java.util.Locale defaultLocale

  Deprecated. Use Locale.getDefault() directly.

  The default locale for our server.

### messages

    protected static MessageResources messages

  The message resources for this package.

### text

    protected java.lang.String text

  The message text to be displayed to the user for this tag (if any)

### bundle

    protected java.lang.String bundle

  The name of the servlet context attribute containing our message resources.

### disabled

    protected boolean disabled

  Is this option disabled?

### key

    protected java.lang.String key

  The key used to look up the text displayed to the user for this option, if any.

### locale

    protected java.lang.String locale

  The name of the attribute containing the Locale to be used for looking up internationalized messages.

### style

    private java.lang.String style

  The style associated with this tag.

### styleClass

    private java.lang.String styleClass

  The named style class associated with this tag.

### styleId

    protected java.lang.String styleId

  The identifier associated with this tag.

### value

    protected java.lang.String value

  The server value for this option, also used to match against the current property value to determine whether this option should be marked as selected.

Constructor Detail

### OptionTag

    public OptionTag()

Method Detail

### getBundle

    public java.lang.String getBundle()

### setBundle

    public void setBundle(java.lang.String bundle)

### getDisabled

    public boolean getDisabled()

### setDisabled

    public void setDisabled(boolean disabled)

### getKey

    public java.lang.String getKey()

### setKey

    public void setKey(java.lang.String key)

### getLocale

    public java.lang.String getLocale()

### setLocale

    public void setLocale(java.lang.String locale)

### getStyle

    public java.lang.String getStyle()

### setStyle

    public void setStyle(java.lang.String style)

### getStyleClass

    public java.lang.String getStyleClass()

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### getStyleId

    public java.lang.String getStyleId()

  Return the style identifier for this tag.

### setStyleId

    public void setStyleId(java.lang.String styleId)

  Set the style identifier for this tag.

  Parameters:
    `styleId` - The new style identifier

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the start of this tag.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Process the body text of this tag (if any).

  Specified by:
    `doAfterBody` in interface `javax.servlet.jsp.tagext.BodyTag`
  Overrides:
    `doAfterBody` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end of this tag.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### renderOptionElement

    protected java.lang.String renderOptionElement()
                                            throws javax.servlet.jsp.JspException

  Generate an HTML %lt;option> element.

  Throws:
    `javax.servlet.jsp.JspException`
  Since:
    Struts 1.1

### selectTag

    private SelectTag selectTag()
                         throws javax.servlet.jsp.JspException

  Acquire the select tag we are associated with.

  Throws:
    `javax.servlet.jsp.JspException`

### release

    public void release()

  Release any acquired resources.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.BodyTagSupport`

### text

    protected java.lang.String text()
                             throws javax.servlet.jsp.JspException

  Return the text to be displayed to the user for this option (if any).

  Throws:
    `javax.servlet.jsp.JspException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation